package com.samelement.iot_notification.service;

import android.content.Context;

import okhttp3.OkHttpClient;

public class ApiCalls {
    public OkHttpClient client;
    private static ApiCalls instance;

    private ApiCalls(final Context context) {
        client = new OkHttpClient.Builder()
                .authenticator(new AccessTokenAuthenticator(AccessTokenRepository.getInstance(context)))
                .build();
    }

    public static ApiCalls getInstance(Context context) {
        if (instance == null) instance = new ApiCalls(context);

        return instance;
    }
}
